Bug 94320 - sys/time.h: include time helpers
Summary: sys/time.h: include time helpers
Status: RESOLVED FIXED
Alias: None
Product: libbsd
Classification: Unclassified
Component: libbsd (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Guillem Jover
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-27 22:38 UTC by Mike Frysinger
Modified: 2017-06-19 02:45 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2016-02-27 22:38:07 UTC
sys/time.h in openbsd provides a few helpers like timercmp.  can we get this included ?

http://cvsweb.openbsd.org/cgi-bin/cvsweb/src/sys/sys/time.h

i'm looking at the defines in these sections:
/* Operations on timevals. */
/* Operations on timespecs. */
Comment 1 Guillem Jover 2016-09-22 20:38:48 UTC
Hi!

[ Hmm another one that it seems I didn't get notified about. :/ ]

The timeval macros are already provided at least on glibc systems on <sys/times.h>. Are you targeting a system using another libc missing those macros? If so I'm happy to add them.

The timespec ones are missing even on glibc, so those I happy to include in any case.
Comment 2 Mike Frysinger 2016-11-09 17:20:29 UTC
yeah, i was looking at C libs beyond glibc (so looking at the APIs not defined by POSIX)
Comment 3 Guillem Jover 2017-06-19 02:45:00 UTC
This should be fixed now in libbsd 0.8.4.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.